Skip to content
VeilVeil
Esc
↑↓navigate↵open⌘Jpreview

Items this principal may see. Agent: granted. Human owner: the org. Human member: granted. Names and URIs. Never secrets.

GET/v1/items
Authorization
AuthorizationBearer token (JWT) · headerrequired
Hydra JWT. Identity is the bound agent or a Keto member human. The host is not identity.
Responses
200Items
itemsItem[]required
Show properties
Array of Item
idstringrequired
org_idstringrequired
namestringrequired
kindstringrequired
Allowed:api_keyoauthsshfilepasskeycardidentity
ownerOwnerrequired
Show properties
kindstringrequired
idstringrequired
urisstring[]required
tagsstring[]
archivedboolean
has_totpboolean
has_fileboolean
loginstring
Fill username. Metadata. Not a secret. Empty if unset.
401missing or invalid Bearer
Request
curl -X GET "https://veil.nyc/v1/items" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "items": [
    {
      "id": "string",
      "org_id": "string",
      "name": "string",
      "kind": "api_key",
      "owner": {
        "kind": "string",
        "id": "string"
      },
      "uris": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "archived": true,
      "has_totp": true,
      "has_file": true,
      "login": "string"
    }
  ]
}